import Vue from 'vue'
import vueImmutableHelper from '../src/index.js'

Vue.mixin(vueImmutableHelper)

new Vue({
  data: {
    value: {a: 'aaa'}
  },
  el: '#root',
  template: `
    <div>
      <p>root: <input type="text" v-model="value.a" /></p>
      <p>child: <test :value="value"></test></p>
    </div>
  `,
  
  components: {
    test: {
      data: function() {
        return {
          props_to_immutable: ['value']
        }
      },
      props: ["value"],
      template: `<input type="text" v-model="value.a" />`
    }
  }
})